
%global meadversion 2.0.1
%global namedversion 2.0.1.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%{?scl:%scl_package microprofile-health} 
%{!?scl:%global pkg_name %{name}}

%bcond_without mead
%bcond_with javadoc

%define maven_version 2.0.1.redhat-00001

Name:		    %{?scl_prefix}microprofile-health
Summary:	    MicroProfile Health
Version:	    %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Group:          Development/Libraries

%if %with mead
Source100: microprofile-health-parent-2.0.1.redhat-00001-project-sources.tar.gz
Source102: microprofile-health-api-2.0.1.redhat-00001.jar
Source103: microprofile-health-parent-2.0.1.redhat-00001.pom
Source104: microprofile-health-spec-2.0.1.redhat-00001.pom
Source105: microprofile-health-tck-2.0.1.redhat-00001-javadoc.jar
Source106: microprofile-health-tck-2.0.1.redhat-00001-sources.jar
Source107: microprofile-health-tck-2.0.1.redhat-00001.pom
Source108: microprofile-health-api-2.0.1.redhat-00001-sources.jar
Source109: microprofile-health-tck-2.0.1.redhat-00001.jar
Source110: microprofile-health-api-2.0.1.redhat-00001.pom
Source111: microprofile-health-api-2.0.1.redhat-00001-javadoc.jar
%endif

License:        ASL 2.0
URL:            https://github.com/eclipse/microprofile-health
Epoch:          0

BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
BuildArch:      noarch

%description
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for microprofile-health
Group:          Development/Java


%description javadoc
Javadoc for microprofile-health
%endif

%if 0
%package sample
Summary:        MicroProfile Health Sample Implementation
Group:          Development/Java


%description sample
%{summary}.
%endif

%package tck
Summary:        MicroProfile Health TCK
Group:          Development/Java


%description tck
%{summary}.

%prep

%setup -q -n microprofile-health-parent-%{namedversion} -T -b 100

%build

%install
rm -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_javadir}

#jars
%{__cp} -p %{_sourcedir}/microprofile-health-api-%{namedversion}.jar %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/microprofile-health-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}
%if 0
%{__cp} -p %{_sourcedir}/microprofile-health-sample-%{namedversion}.jar %{buildroot}%{_javadir}
%endif
%{__cp} -p %{_sourcedir}/microprofile-health-tck-%{namedversion}.jar %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/microprofile-health-tck-%{namedversion}-sources.jar %{buildroot}%{_javadir}

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

#javadoc
%if %with javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/microprofile-health-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/microprofile-health-api-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/microprofile-health-api-%{namedversion} -x META-INF/\*
(cd $RPM_BUILD_ROOT%{_javadocdir} && ln -s microprofile-health-api-%{namedversion} microprofile-health-api)
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc README.adoc NOTICE LICENSE
%{_javadir}/microprofile-health-api-%{namedversion}.jar
%{_javadir}/microprofile-health-api.jar
%{_javadir}/microprofile-health-api-%{namedversion}-sources.jar
%{_javadir}/microprofile-health-api-sources.jar

%if 0
%files sample
%defattr(0644,root,root,0755)
%{_javadir}/microprofile-health-sample-%{namedversion}.jar
%{_javadir}/microprofile-health-sample.jar
%endif

%files tck
%defattr(0644,root,root,0755)
%{_javadir}/microprofile-health-tck-%{namedversion}.jar
%{_javadir}/microprofile-health-tck.jar
%{_javadir}/microprofile-health-tck-%{namedversion}-sources.jar
%{_javadir}/microprofile-health-tck-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/microprofile-health-api
%{_javadocdir}/microprofile-health-api-%{namedversion}
%endif

%changelog
* Tue Nov 05 2019 Permaine Cheung <pcheung@redhat.com> - 2.0.1-1.redhat_00001.1
- 2.0.1.redhat-00001

* Mon Nov 04 2019 Permaine Cheung <pcheung@redhat.com> - 2.0.1-1.redhat_00001.1
- 2.0.1.redhat-00001

* Fri Sep 28 2018 Yong Yang <yyang@redhat.com> - 1.0.0-1.redhat_83.1
- 1.0.0.redhat-83

* Fri Sep 28 2018 Yong Yang <yyang@redhat.com> - 1.0.0-1.redhat_83.1
- 1.0.0.redhat-83

* Fri Sep 28 2018 Yong Yang <yyang@redhat.com> - 1.0.0-1.redhat_83.1
- 1.0.0.redhat-83

* Fri Sep 28 2018 Yong Yang <yyang@redhat.com> - 1.0.0-1.redhat_83.1
- 1.0.0.redhat-83

* Fri Sep 28 2018 Yong Yang <yyang@redhat.com> - 1.0.0.redhat-83
- Init build
